Name: gcombust
Summary: Gcombust is a burning cd frontend
Summary(ru_RU.KOI8-R):     CD-R 
Version: 0.1.54
Release: alt1
Source: http://www.abo.fi/~jmunsin/gcombust/%name-%version.tar.gz
Source1: %name-48.xpm.bz2
Source2: %name-32.xpm.bz2
Source3: %name-16.xpm.bz2
Group: Archiving/Cd burning
# Automatically added by buildreq on Thu May 08 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel

BuildRequires: XFree86-devel
Url: http://www.abo.fi/~jmunsin/gcombust/
License: GPL
Requires: mkisofs cdrecord

%description
gcombust is a gtk+ frontend for mkisofs, mkhybrid, cdrecord and
cdlabelgen. It's written in C. It has primitive support for
controlling the directory (root) structure and size of image without
copying files/symlinking or writing 10 lines of arguments and can
maximize disk by hinting which directories/files to use.

%prep
%setup -q -n gcombust-%version

%build
%configure
%make_build

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%_bindir $RPM_BUILD_ROOT%_datadir/pixmaps
install -m644  %name.xpm $RPM_BUILD_ROOT/%_datadir/pixmaps

%find_lang %name

# Menu
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/%name" needs="X11" \
icon="%name.xpm" section="Applications/Archiving/Cd burning" \
title="GCombust" longtitle="Gtk+ frontend for Cd burning"
EOF

#icon
install -d $RPM_BUILD_ROOT/%_iconsdir
install -d $RPM_BUILD_ROOT/%_liconsdir
install -d $RPM_BUILD_ROOT/%_miconsdir
bzcat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.xpm
bzcat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS TODO COPYING ChangeLog INSTALL NEWS README* THANKS ABOUT-NLS
%_bindir/gcombust
%_datadir/pixmaps/gcombust.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_menudir/%name

%changelog
* Thu May 08 2003 Rider <rider@altlinux.ru> 0.1.54-alt1
- new version

* Fri Nov 22 2002 Rider <rider@altlinux.ru> 0.1.53-alt1
- new version

* Fri Oct 11 2002 Rider <rider@altlinux.ru> 0.1.52-alt1
- 0.1.52

* Sun Feb 24 2002 Rider <rider@altlinux.ru> 0.1.49-alt1
- 0.1.49

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 0.1.48-alt1
- 0.1.48

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 0.1.47-alt1
- 0.1.47

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.38-1mdk
- new and shiny version (c)

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.37-1mdk
- new and shiny version, hot from the oven aka 0.1.37.

* Fri Oct 27 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.36-1mdk
- new version 0.1.36

* Tue Sep 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.34-4mdk
- added menu entry and icons
- corrected source url

* Thu Aug 24 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.34-3mdk
- uses find_lang for locale files
- cleaned spec a bit

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.34-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.34-1mdk
- rebuild for BM
- macrozfications
- new release

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.33-1mdk
- Updated version

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.31-1mdk
- Updated version to 0.1.31-1mdk
- updated group
- updated file section of spec file.

* Tue Feb 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- new version 0.1.30

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.1.25

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without glib-1.3 :-((

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Initialisation spec file for Mandrake distribution.

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
